Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.invocation
Interface Interceptor

All Known Implementing Classes:
  ACLInterceptor, AjaxInterceptor, AjaxInterceptor, ApprovalWorkflowInterceptor, BridgeInterceptor, CacheInterceptor, CleanNSInterceptor, CMSInterceptor, ConsumerCacheInterceptor, ContentTypeInterceptor, ContextDispatcherInterceptor, ContextTrackerInterceptor, ControlInterceptor, ControllerInterceptor, DumpInterceptor, EventBroadcasterInterceptor, HeaderInterceptor, IdentityBindingInterceptor, IdentityCacheInterceptor, InstanceSecurityInterceptor, JBossInterceptor, LocaleInterceptor, LocaleInterceptor, LocalInterceptor, LockInterceptor, LogInterceptor, ModesInterceptor, NavigationalStateInterceptor, PageCustomizerInterceptor, PolicyEnforcementInterceptor, PortalContextPathInterceptor, PortalNodeInterceptor, PortalSessionSynchronizationInterceptor, PortletContainerManagementInterceptorImpl, PortletInterceptor, PortletSessionSynchronizationInterceptor, ProducerCacheInterceptor, ResourceAcquisitionInterceptor, SecureTransportInterceptor, ServerInterceptor, SessionLockInterceptor, SignOutInterceptor, TransactionInterceptor, TransactionInterceptor, UserEventBridgeTriggerInterceptor, UserInterceptor, ValveInterceptor, WindowStatesInterceptor

    public interface Interceptor

Version:
  $Revision: 5451 $
Author:
  Julien Viet

Method Summary
`java.lang.Object` | `invoke(Invocation invocation)` todo

Method Detail

### invoke

    java.lang.Object invoke(Invocation invocation)
                            throws java.lang.Exception,
                                   InvocationException

  todo

  Throws:
    `java.lang.Exception`
    `InvocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD